#!/usr/bin/env python3

from base_deploy import BasicMongo


class SingleNode(BasicMongo):
    def __init__(self, series):
        super(SingleNode, self).__init__(units=1,
                                         series=series,
                                         deploy_timeout=900)

    def deploy(self):
        self.d.add('mongodb', charm='mongodb', units=self.units)
        self.d.expose('mongodb')
        super(SingleNode, self).deploy()

    def validate_world_connectivity(self):
        self.addy = self.d.sentry['mongodb'][0].info['public-address']
        super(SingleNode, self).validate_world_connectivity()

    def run(self):
        self.deploy()
        self.validate_world_connectivity()
